; polit.asm - Glavni program za tabeliranje polinoma.

	extrn	exit:near, wchrba:near, rdecwa:near
	extrn	wdecwa:near, wnl:near, poli:near

podat	segment	para public 'data'

por1	db	'Koeficijenti polinoma? '
por2	db	'xmin, xmax, xkor? '
por3	db	'x, p(x)'
por4	db	'===================='
por5	label	byte
niz	dw 	20 dup (?)
n	dw	?
xmin	dw	?
xmax	dw	?
xkor	dw	?
x	dw	?
p	dw	?

podat	ends

code	segment	para public 'code'
	assume	cs:code, ds:podat

polit:	mov	ax, podat
	mov	ds, ax
	mov	es, ax
	mov	bx, offset por1	; Citanje koeficijenata.
	mov	cx, por2-por1
	call	wchrba
	mov	bx, offset niz
	mov	cx, 20
	call	rdecwa
	dec	cx		; Red polinoma.
	mov	n, cx
	mov	bx, offset por2	; Citanje xmin, xmax, xkor
	mov	cx, por3-por2
	call	wchrba
	mov	bx, offset xmin
	mov	cx, 3
	call	rdecwa
	call	wnl		; Pisanje zaglavlja tablice
	mov	bx, offset por3
	mov	cx, por4-por3
	call	wchrba
	call	wnl
	mov	bx, offset por4
	mov	cx, por5-por4
	call	wchrba
	call	wnl
	mov	ax, xmin	; x = xmin
	mov	x, ax
dalje:	cmp	ax, xmax	; if (x>xmax) goto kraj
	jg	kraj
	mov	ax, offset niz	; p = poli (niz, n, x)
	push	ax
	push	n
	push	x
	call	poli
	mov	p, ax
	mov	bx, offset x	; Pisanje rezultata
	mov	cx, 2
	call	wdecwa
	mov	ax, x		; x += xkor
	add	ax, xkor
	mov	x, ax
	jmp	dalje		; goto dalje

kraj:	call	exit

code	ends

stek	segment para stack 'stack'
	db	128 dup (?)
stek	ends

	end	polit
