// log.h - Klasa za funkciju logaritam (Log).

#ifndef _log_h_
#define _log_h_

#include "fct.h"
#include "gnemalog.h"
#include <math.h>

class Log: public Fct {
public:
  double operator() (double x) const {
    if (x <= 0) throw GNemaLogaritam (x);
    return log (x);
  }
};

#endif
