// niz2.h - Definicija klase niza realnih brojeva (Niz).
class Niz {
  double *a; int n;
  void kopiraj (const Niz &niz);
public:
  Niz (int k=10) { a = new double [n=k]; }
  Niz (const Niz &niz) { kopiraj (niz); }
  ~Niz () { delete [] a; }
  Niz & operator= (const Niz &niz) {
    if (this != &niz) { delete [] a; kopiraj (niz); }
    return *this;
  }
  double & operator[] (int i) const {
    if (i<0 || i>=n) throw i;
    return a[i];
  }
  int operator+ () const { return n; }
};
