// Izlomljena.java

package Linije;

public class Izlomljena extends Linija {

  protected Tacka[] temena;
  
  public Izlomljena (Tacka[] tt) throws EIzlomljena { 
    if (tt == null)   throw new EIzlomljena("Nema niza temena!");
    if (tt.length < 3) throw new EIzlomljena ("Premalo temena!");
    temena = tt;
  }
  
  public double duzina () {
    double d = 0;
    for (int i=0; i<temena.length-1; i++)
      d += new Duz (temena[i], temena[i+1]).duzina();
    return d;
  }

  public String toString () {
    return super.toString() + "[izlomljena: " +
            Tacka.toString(temena) + ']';
  }

}