; binko.asm - Binomni koeficijenti i Pascal-ov trougao.

code	segment	para public 'code'
	assume	cs:code, ds:code

; Potprogram za izracunavanje datog binomnog koeficijenta B(n,k).

; ULAZ:  dx = n ;  cx = k

; IZLAZ: B(n,k) = ax

binko:	push	cx
	push	dx
	push	si
	push	di
	mov	ax, 1
	jcxz	kraj
	mov	si, dx	; si = n
	mov	di, 1	; di = 1
petlja:	mul	si
	div	di
	dec	si
	inc	di
	loop	petlja
kraj:	pop	di
	pop	si
	pop	dx
	pop	cx
	retn

; Glavni program za ispitivanje potprograma "binko".

	extrn	init:near, exit:near, wchrba:near, wchrb:near
	extrn	rdecw:near, rnl:near, wdecw:near, wnl:near

por1	db	'nmax? '
por2	label	byte

pascal:	call	init
	mov	bx, offset por1
	mov	cl, por2 - por1
	call	wchrba
	call	rdecw
	mov	si, dx		; si = nmax
	call	rnl
	call	wnl

	xor	dx, dx		; n = 0
dalje:	xor	cx, cx		; k = 0
sled:	call	binko		; ax = B(n,k)
	push	dx
	mov	dx, ax
	call	wdecw
	mov	dl, ' '
	call	wchrb
	pop	dx
	inc	cx		; k++
	cmp	cx, dx
	jle	sled		; if (k<=n) goto sled
	call	wnl
	inc	dx		; n++
	cmp	dx, si
	jle	dalje		; if (n<=nmax) goto dalje

	call	exit

code	ends
	end	pascal
