; presek.asm - Presek dva skupa jednobajtnih brojeva (veliki model).

; void presek (char a[], short na, char b[], short nb, char c[], short *nc);

skupovi	segment	para public 'code'
	assume	cs:skupovi

a	equ	6
na	equ	10
b	equ	12
nb	equ	16
c	equ	18
nc	equ	22

	public	_presek
_presek	proc	far
	push	bp
	mov	bp, sp
	push	si
	push	di
	push	ds
	push	es

	xor	dx, dx		; ic = 0
	cld
	lds	si, [bp].b	; ds:si = &b
	mov	cx, [bp].nb	; cx = ib = nb
opet:	lodsb			; al = *(ds:si++)
	push	cx		; push ib
	les	di, [bp].a	; es:di = &a
	mov	cx, [bp].na	; cx = na
	repne scasb		; while (al != *(es:di++) && --cx != 0);
	jne	dalje
	les	di, [bp].c	; es:di = &c[ic]
	stosb			; *(es:di++) = al
	mov	[bp].c, di	; ss:bp+c = &c[ic+1]
	inc	dx		; ic++
dalje:	pop	cx		; cx = ib
	loop	opet		; if (--cx!=0) goto opet
	lds	di, [bp].nc	; ds:di = &nc
	mov	[di], dx	; *(ds:di) = ic
	pop	es
	pop	ds
	pop	di
	pop	si
	pop	bp
	ret
_presek	endp

skupovi	ends
	end
