; skpro_c.asm - Skalarni proizvod (kompaktni model - compact).
;               [bliski pozivi i daleki pokazivaci]

; short skalpro (short a[], short b[], short n);

_text	segment	para public 'code'
	assume	cs:_text
	public	_skalpro

a	equ	4
b	equ	8
n	equ	12

_skalpro proc near
	push	bp
	mov	bp, sp
	push	si
	push	di
	push	ds
	push	es
	lds	si, [bp]+a	; ds:si = &a
	les	di, [bp]+b	; es:di = &b
	mov	cx, [bp]+n	; cx = n
	xor	bx, bx		; bx = 0
	jcxz	kraj		; if (cx==0) goto kraj
	cld			; rastuce
opet:	lodsw			; ax = *(ds:si++)
	imul	word ptr es:[di] ; ax *= *(es:di)
	add	di, 2		; di++
	add	bx, ax		; bx += ax
	loop	opet		; if (--cx!=0) goto opet
kraj:	mov	ax, bx		; return bx
	pop	es
	pop	ds
	pop	di
	pop	si
	pop	bp
	ret
_skalpro endp

_text	ends
	end
