// gnemalog.h - Definicija greske "ne postoji logaritam".

#ifndef _gnemalog_h_
#define _gnemalog_h_

#include "greska.h"

class GNemaLogaritam: public Greska {
  double x;
public:
 GNemaLogaritam (): Greska ("Logaritam negativnog broja") {}
 GNemaLogaritam (double x): Greska () { this->x = x; }
private:
  void pisi (ostream &d) const {
    if (imaPoruke ()) Greska::pisi(d);
    else d << "\n*** Ne postoji logaritam od " << x << " ***\a\n";
  }
};

#endif