// kompl.h - Definicija klase znakovnih nizova (Kompl).

#include <string.h>

class Kompl: public Obj {
  static const char ime[];                        // Ime klase.
  double re, im;                                  // Sadrzaj objekta.
  int jednako (const Obj &obj) const              // Da li su jednaki?
    { return re == ((Kompl &)obj).re && im == ((Kompl &)obj).im; }
  ostream &pisi  (ostream &d) const               // Pisanje.
    { return d << '(' << re << ',' << im << ')'; }
  istream &citaj (istream &d)                     // Citanje.
    { char zn; return d >> zn >> re >> zn >> im >> zn; }
public:
  Kompl (double x=0, double y=0): re(x), im(y) {}     // Inicijalizacija.
  const char *klasa () const { return ime; }          // Ime klase.
  Obj *kopija () const                                // Kopija objekta.
    { Obj *oo = new Kompl (*this); if (oo == 0) throw 1; return oo; }
};
