// Definicija klase tacaka (Tacka).

#ifndef _tacka2_h_
#define _tacka2_h_

typedef double Real;           // Tip za realne vrednosti.

#include <iostream.h>

class Tacka {
  Real x, y;                                              // Koordinate.
public:
  Tacka (Real xx=0, Real yy=0) { x = xx; y = yy; }        // Konstruktor.
  Real aps () const { return x; }                         // Apscisa.
  Real ord () const { return y; }                         // Ordinata.
  friend istream & operator>> (istream &dd, Tacka &tt)        // Citanje.
    { return dd >> tt.x >> tt.y; }
  friend ostream & operator<< (ostream &dd, const Tacka &tt)  // Pisanje.
    { return dd << '(' << tt.x << ',' << tt.y << ')'; }
} ;

const Tacka ORG;               // Koordinatni pocetak.

#endif
