// Potrosac.java - Klasa za potrosace.

public class Potrosac extends Thread {

  private Skladiste2 skladiste;
  private int minVreme, maxVreme, redniBroj;
  private static int ukupnoBrojeva = 0;

  public Potrosac (Skladiste2 skladiste, int minVreme, int maxVreme) { 
    this.minVreme = minVreme; this.maxVreme = maxVreme; 
    this.skladiste = skladiste; redniBroj = ++ukupnoBrojeva; 
  }

  public void run () {
    System.out.println ("Potrosac #" + redniBroj + " poceo je da radi");
    while (true) {
      int vredn = skladiste.uzmi ();
      System.out.println ("Potrosac #" + redniBroj +
        " uzeo je [" + vredn + "] iz skladista #" +
        skladiste.broj() + "(" + skladiste.puno() + "/" +
        skladiste.prazno() + ")");
      long vreme = (long)(minVreme + Math.random() * (maxVreme-minVreme));
      try { Thread.sleep (vreme); } catch (InterruptedException e) {}
    }
  }
}
