// Red2.java - Red za cekanje apstraktnih objekata u obliku liste.

public class Red2 implements Obj {

  private Elem2 prvi, posl;

  public Red2 () {}

  public Red2 (Obj obj) { prvi = posl = new Elem2 (obj); }

  public Obj kopija () {
    Red2 red = new Red2 ();
    for (Elem2 tek=prvi; tek!=null; tek=tek.sled) {
      Elem2 novi = new Elem2 (tek.obj.kopija ());
      if (red.posl == null) red.prvi      = novi; 
        else                red.posl.sled = novi;
      red.posl = novi;
    }
    return red;
  }

  public void stavi (Obj obj) {
    Elem2 novi = new Elem2 (obj);
    if (prvi == null) prvi = novi; else posl.sled = novi;
    posl = novi;
  }

  public Obj uzmi () throws EPrazan {
    if (prvi == null) throw new EPrazan ();
    Obj obj = prvi.obj;
    prvi = prvi.sled;
    if (prvi == null) posl = null;
    return obj;
  }

  public void isprazni () { prvi = posl = null; }

  public String toString () {
    String s = "[";
    for (Elem2 tek=prvi; tek!=null; tek=tek.sled) {
      s = s + tek.obj;
      if (tek != posl) s += " ";
    }
    return s + "]";
  }

}
