// PVozilo.java - Klasa putnickih vozila.

package Vozila;

import Citaj;

public class PVozilo extends Vozilo {

  private int brPutnika;
  private double srTezina;
  
  public PVozilo () {}
  
  public PVozilo (double sTez, int brPut, double srTez) {
    super (sTez);
    brPutnika = brPut; srTezina = srTez;
  }
  
  public double ukTezina () 
    { return super.ukTezina () + brPutnika * srTezina; }
  
  public void citaj () {
    super.citaj ();
    System.out.print ("Broj putnika? ");
    brPutnika = Citaj.Int ();
    System.out.print ("Srednja tezina putnika? ");
    srTezina  = Citaj.Double ();
  }
  
  public String toString () {
    return "pVozilo (" + sTezina + '+' + brPutnika + '*' + 
                      srTezina + '=' + ukTezina () + ')';
  }

}