// Zaposleni.java - Definicija klase zaposlenih (Zaposleni).

// Zaposleni je osoba koja radi u nekoj firmi i
// prima platu na osnovu satnice i broja radnih sati.

public class Zaposleni extends Osoba {

  protected String firma;
  protected double satnica, rSati;

  public Zaposleni () { super (); }

  public Zaposleni (String im, int ro,
                    String fi, double sa, double rs)
    { super (im, ro); firma = fi; satnica = sa; rSati = rs; }

  public Osoba kopija () { return new Zaposleni (ime, rodjen, firma,
                                                 satnica, rSati); }

  public final void postaviFirmu     (String fi) { firma   = fi;   }

  public final void postaviSatnicu   (double sa) { satnica = sa; }

  public final void postaviRadneSate (double rs) { rSati   = rs; }

  public final String dohvatiFirmu     () { return firma;   }

  public final double dohvatiSatnicu   () { return satnica; }

  public final double dohvatiRadneSate () { return rSati;  }

  public double plata () { return satnica * rSati; }

  public void citaj () {
    super.citaj ();
    System.out.print ("Firma?   "); firma   = Citaj.String ();
    System.out.print ("Satnica? "); satnica = Citaj.Double ();
    System.out.print ("Br.sati? "); rSati   = Citaj.Double ();
  }

  public String toString () {
    return super.toString () + "\n" + firma + " (" + satnica + "*" +
           rSati + "=" + plata () + ")";
  }

}
